Get webhook token
GET
/merchants/{merchantCode}/webhookToken
const url = 'https://webhook.shopgate.io/v1/merchants/example/webhookToken';const options = {method: 'GET'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://webhook.shopgate.io/v1/merchants/example/webhookTokenGet webhook token
Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”merchantCode
required
string
Responses
Section titled “Responses”Returns webhook token
Media typeapplication/json
object
webhookToken
string
Example
{ "webhookToken": "ajkJKSDLASfjk2N340jwfdsONlnvmylKLOJOFBjdslbL0in"}Validation error
Media typeapplication/json
object
message
string
code
string
error
object
paramName
The parameter-field, that failed to validate, like “userId”
string
paramValue
The value, that was sent, like “xxx”
null | string | number | object | array
code
Machine readable error code
string
message
required
Human readable error code
string
results
object
errors
Array<object>
object
code
Machine readable error code
string
message
Human readable error code
string
description
string
path
Array<string>
warnings
Array<object>
object
code
Machine readable error code
string
message
Human readable error code
string
description
string
path
Array<string>
Example
{ "error": { "code": "SCHEMA_VALIDATION_FAILED", "results": { "errors": [ { "code": "ENUM_MISMATCH", "description": "human readable error code" } ], "warnings": [ { "code": "ENUM_MISMATCH", "description": "human readable error code" } ] } }}Merchant not found
Media typeapplication/json
object
code
required
string
message
required
string
Example
{ "code": "NotFound", "message": "Merchant not found"}
